Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface ADiffuse

All Superinterfaces:
  AAct, ARoot, ASelect, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ADiffuseImpl

    public interface ADiffuse

extends ARoot

A representation of the model object ' ADiffuse'.

The following features are supported:

- `Diffused`
- `Diffusion Rate`
- `Evaporation Rate`

See Also:
  `MetaABMActPackage.getADiffuse()`

Method Summary
`SAttribute` | `getDiffused()` Returns the value of the 'Diffused' reference.
`SAttribute` | `getDiffusionRate()` Returns the value of the 'Diffusion Rate' reference.
`SAttribute` | `getEvaporationRate()` Returns the value of the 'Evaporation Rate' reference.
`void` | `setDiffused(SAttribute value)` Sets the value of the '`Diffused`' reference.
`void` | `setDiffusionRate(SAttribute value)` Sets the value of the '`Diffusion Rate`' reference.
`void` | `setEvaporationRate(SAttribute value)` Sets the value of the '`Evaporation Rate`' reference.

Methods inherited from interface org.metaabm.act.ASelect
`getAgent, getFor, getSpace, setAgent, setFor, setSpace`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDiffused

    SAttribute getDiffused()

  Returns the value of the 'Diffused' reference.

  If the meaning of the 'Diffused' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diffused' reference.
  See Also:
    `setDiffused(SAttribute)`, `MetaABMActPackage.getADiffuse_Diffused()`

### setDiffused

    void setDiffused(SAttribute value)

  Sets the value of the '`Diffused`' reference.

  Parameters:
    `value` - the new value of the 'Diffused' reference.
  See Also:
    `getDiffused()`

### getDiffusionRate

    SAttribute getDiffusionRate()

  Returns the value of the 'Diffusion Rate' reference.

  If the meaning of the 'Diffusion Rate' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diffusion Rate' reference.
  See Also:
    `setDiffusionRate(SAttribute)`, `MetaABMActPackage.getADiffuse_DiffusionRate()`

### setDiffusionRate

    void setDiffusionRate(SAttribute value)

  Sets the value of the '`Diffusion Rate`' reference.

  Parameters:
    `value` - the new value of the 'Diffusion Rate' reference.
  See Also:
    `getDiffusionRate()`

### getEvaporationRate

    SAttribute getEvaporationRate()

  Returns the value of the 'Evaporation Rate' reference.

  If the meaning of the 'Evaporation Rate' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Evaporation Rate' reference.
  See Also:
    `setEvaporationRate(SAttribute)`, `MetaABMActPackage.getADiffuse_EvaporationRate()`

### setEvaporationRate

    void setEvaporationRate(SAttribute value)

  Sets the value of the '`Evaporation Rate`' reference.

  Parameters:
    `value` - the new value of the 'Evaporation Rate' reference.
  See Also:
    `getEvaporationRate()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD